<ng-container *ngIf="user">

  <header class="main-header">
    <!-- Logo -->
    <a href="#" class="logo">
      <img class="logo-mini img-fluid" src="app/assets/img/logo-mini.png" alt="logo">
      <img class="logo-lg img-fluid" src="app/assets/img/logo.png" alt="logo">
    </a>
    <!-- Header Navbar: style can be found in header.less -->
    <nav class="navbar navbar-static-top p-0">
      <!-- Sidebar toggle button-->
      <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
        <span class="sr-only">Toggle navigation</span>
      </a>
      <div class="navbar-custom-menu">
        <ul class="nav navbar-nav">
          <!-- Notifications: style can be found in dropdown.less -->
          <li class="dropdown notifications-menu">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <i class="fa fa-bell-o"></i>
              <span class="label label-warning">10</span>
            </a>
            <ul class="dropdown-menu">
              <li class="header">You have 10 notifications</li>
              <li>
                <!-- inner menu: contains the actual data -->
                <ul class="menu">
                  <li>
                    <a href="#">
                      <i class="fa fa-users text-aqua"></i> 5 Quizzes available.
                    </a>
                  </li>
                </ul>
              </li>
              <li class="footer py-2"><button type="button" class="btn btn-link btn-sm">View all</button></li>
            </ul>
          </li>
          <!-- Messages: style can be found in dropdown.less-->
          <li class="dropdown messages-menu">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <i class="fa fa-envelope-o"></i>
              <span class="label label-warning">4</span>
            </a>
            <ul class="dropdown-menu">
              <li class="header">You have 4 messages</li>
              <li>
                <!-- inner menu: contains the actual data -->
                <ul class="menu">
                  <li>
                    <!-- start message -->
                    <a href="#">
                      <div class="pull-left">
                        <img src="app/assets/admin-lte/img/user2-160x160.jpg" class="img-circle" alt="User Image">
                      </div>
                      <h4>
                        Support Team
                        <small><i class="fa fa-clock-o"></i> 5 mins</small>
                      </h4>
                      <p>Lorem ipsum dolor sit amet consectetur?</p>
                    </a>
                  </li>
                  <!-- end message -->
                </ul>
              </li>
              <li class="footer py-2"><button type="button" class="btn btn-link btn-sm">See All Messages</button></li>
            </ul>
          </li>
          <!-- User Account: style can be found in dropdown.less -->
          <li class="dropdown user user-menu">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <img [src]="user.profile_path" class="user-image" alt="User Image">
              <span class="d-none d-md-inline d-lg-inline">{{ user.getFullname() }}</span>
            </a>
            <ul class="dropdown-menu">
              <!-- User image -->
              <li class="user-header">

                <img [src]="user.profile_path" class="img-circle" alt="User Image">
                <p>
                  {{ user.getFullname() }} - {{ user.getUserType() }}
                </p>
              </li>
              <!-- Menu Body -->
              <li class="user-body">
                <div class="row">
                  <div class="col-xs-4 text-center">
                    <a href="#">Followers</a>
                  </div>
                  <div class="col-xs-4 text-center">
                    <a href="#">Sales</a>
                  </div>
                  <div class="col-xs-4 text-center">
                    <a href="#">Friends</a>
                  </div>
                </div>
                <!-- /.row -->
              </li>
              <!-- Menu Footer-->
              <li class="user-footer">
                <div class="pull-left">
                  <a href="#" routerLink="/profile" class="btn btn-default btn-flat btn-sm">Profile</a>
                </div>
                <div class="pull-right">
                  <button (click)="logout()" class="btn btn-default btn-flat btn-sm">Sign out</button>
                </div>
              </li>
            </ul>
          </li>
        </ul>
      </div>
    </nav>
  </header>
  <!-- Left side column. contains the logo and sidebar -->
  <aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
      <!-- Sidebar user panel -->
      <div class="user-panel">
        <div class="pull-left image">
          <img [src]="user.profile_path" class="img-circle" alt="User Image">
        </div>
        <div class="pull-left info">
          <p>{{ user.getFullname() }}</p>
          <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
        </div>
      </div>
      <!-- search form -->
      <form action="#" method="get" class="sidebar-form">
        <div class="input-group rounded-0">
          <input type="text" name="q" class="form-control border-0 " placeholder="Search...">
          <span class="input-group-btn">
            <button type="submit" name="search" id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i>
            </button>
          </span>
        </div>
      </form>
      <!-- /.search form -->
      <!-- sidebar menu: : style can be found in sidebar.less -->
      <ul class="sidebar-menu" data-widget="tree">
        <li class="header">MAIN NAVIGATION</li>
        <li routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
          <a routerLink="/" href="#">
            <i class="fa fa-home"></i>
            <span>Home</span>
          </a>
        </li>
        <ng-container *ngIf="main_menu?.length > 0">
          <li *ngFor="let mn of main_menu" routerLinkActive="active">
            <a routerLink="/{{ mn.url}}" href="#">
              <i class="fa" [ngClass]="(mn.icon)?mn.icon:'fa-circle-o'"></i>
              <span>{{ mn.name | titlecase }}</span>
            </a>
          </li>
        </ng-container>
        <ng-container *ngIf="user.isTeacher()">
          <li class="treeview">
            <a href="javascript:void(0)">
              <i class="fa fa-book"></i>
              <span>Subjects</span>
              <span class="pull-right-container">
                <i class="fa fa-angle-left pull-right"></i>
              </span>
            </a>
            <ul class="treeview-menu">
              <li *ngFor="let mn of subjects" routerLinkActive="active">
                <a href="#" class="pl-3" [title]="mn.subject.description" routerLink="/teacher/subjects/{{mn.id}}">
                  <i class="fa fa-circle-o"></i>
                  {{ mn.subject.subject_code }} - {{ mn.subject.subject_name }}
                </a>
              </li>
              <li>
                <a routerLink="/teacher/subjects" href="#" class="text-light pl-3 pt-2">
                  <i class="fa fa-asterisk"></i>
                  View all
                </a>
              </li>

            </ul>
          </li>
        </ng-container>

        <ng-container *ngIf="user.isStudent()">
          <li routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
            <a routerLink="/student/exams" href="#">
              <i class="fa fa-list-ul"></i>
              <span> Exams</span>
            </a>
          </li>
          <li routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
            <a routerLink="/student/quizzes" href="#">
              <i class="fa fa-file-text-o"></i>
              <span> Quizzes</span>
            </a>
          </li>
          <li routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
            <a routerLink="/student/homeworks" href="#">
              <i class="fa fa-file-archive-o"></i>
              <span> Homeworks</span>
            </a>
          </li>
          <li routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
            <a routerLink="/student/exercises" href="#">
              <i class="fa fa-bicycle"></i>
              <span> Exercises</span>
            </a>
          </li>
          <li class="header">SUBJECTS</li>
          <li *ngFor="let mn of subjects" routerLinkActive="active">
            <a href="#" [title]="mn.subject.description" [routerLink]="['student/subjects', mn.id]">
              <i class="fa fa-circle-o"></i>
              <span>{{ mn.subject.subject_code }} - {{ mn.subject.subject_name }}</span>
            </a>
          </li>

        </ng-container>
        <ng-container *ngIf="setup_menu?.length > 0">
          <li class="treeview">
            <a href="javascript:void(0)">
              <i class="fa fa-gear"></i>
              <span>Setup</span>
              <span class="pull-right-container">
                <i class="fa fa-angle-left pull-right"></i>
              </span>
            </a>
            <ul class="treeview-menu">
              <li *ngFor="let mn of setup_menu" routerLinkActive="active">
                <a href="#" class="pl-3" routerLink="/setup/{{ mn.url }}">
                  <i class="fa fa-circle-o"></i>
                  {{ mn.name|titlecase }}
                </a>
              </li>
            </ul>
          </li>
        </ng-container>

      </ul>
    </section>
    <!-- /.sidebar -->
  </aside>
</ng-container>